# [FoamTree](https://carrotsearch.com/foamtree/)

FoamTree is a JavaScript Voronoi treemap visualization for the browser.

* Non-rectangular layouts: visually pleasing non-rectangular layouts efficiently use the available space.

* Rectangular treemaps: traditional squarified and ordered rectangular treemaps are also supported.

* Zooming and exposing: animated zooming and expose interaction for browsing of deeply nested hierarchies.

* Endless customizations: custom content in each cell, including additional text, shapes or images.

* Non-rectangular containers: embedding Voronoi treemaps in any convex shape, such as a circle or diamond.

* Support for very large hierarchies: handling of hierarchies with 100k+ nodes on 100+ levels, such as the tree of life data.

* Flattened and hierarchical stacking: all levels visible at once or in a top-down progressive disclosure arrangement.

* Multilingual and emoji-friendly: supports all special characters your browser can display, including emoji.

* Animated transitions: Multitude of animation parameters can create tens of rollout and pullback effects.

* Extensive tuning: Settings panel for tuning of visual properties and exporting them to your Java code.


See [FoamTree website](https://carrotsearch.com/foamtree/) for more information, code examples and documentation.

This package contains a free-of-charge branded version of FoamTree. For licensing of a branding-free
version, [contact Carrot Search](https://carrotsearch.com/contact).

---